Search
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/golinks/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ownerUserIds": [
"<string>"
],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/golinks/search"
payload = {
"ownerUserIds": ["<string>"],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [{ "id": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ownerUserIds: ['<string>'],
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{id: '<string>'}]
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/golinks/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"golink": {
"createdAt": "2023-11-07T05:31:56Z",
"currentVersion": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"routes": [
{
"isCanonical": true,
"routeTemplate": "<string>"
}
],
"status": "GO_LINK_STATUS_UNSPECIFIED",
"target": {
"action": {
"actionId": "<string>"
},
"chooser": {
"options": [
{
"description": "<string>",
"label": "<string>",
"target": null
}
]
},
"redirect": {
"urlTemplate": "<string>"
}
},
"updatedAt": "2023-11-07T05:31:56Z"
},
"objectPermissions": {
"delete": true,
"edit": true,
"extra": {},
"read": true
}
}
],
"nextPageToken": "<string>"
}Go Links
Search
Search GoLinks by query string.
POST
/
api
/
v1
/
golinks
/
search
Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The GoLinkSearchServiceSearchRequest message.
Filter by owner user IDs. Joins against the C1 entitlement user binding to find GoLinks where any of these users hold the "owner" entitlement grant.
The pageSize field.
The pageToken field.
The query field.
The refs field.
Show child attributes
Show child attributes
Filter by status. If not set, returns all non-deleted GoLinks.
Available options:
GO_LINK_STATUS_UNSPECIFIED, GO_LINK_STATUS_ENABLED, GO_LINK_STATUS_DISABLED Was this page helpful?